Eclipse Draw2d 3.3

## org.eclipse.draw2d.text
Class NestedLine

    java.lang.Object
      org.eclipse.draw2d.text.FlowBox
          org.eclipse.draw2d.text.CompositeBox
              org.eclipse.draw2d.text.LineBox
                  org.eclipse.draw2d.text.NestedLine

public class NestedLine
extends LineBox

Since:
  3.1

Method Summary
`boolean` `containsPoint(int x, int y)` This method must be called on a block that is completely positioned and committed.
`int` `getBaseline()` Returns y coordinate for the box's baseline.
`int` `getOuterAscent()` Returns the outer ascent of this box.
`int` `getOuterDescent()` Returns the outer descent of this box.
`void` `setLineTop(int top)` Positions the box vertically by setting the y coordinate for the top of the content of the line.

Methods inherited from class org.eclipse.draw2d.text.LineBox
`add, getAscent, getDescent, isOccupied, requiresBidi`

Methods inherited from class org.eclipse.draw2d.text.CompositeBox
`getRecommendedWidth, setRecommendedWidth`

Methods inherited from class org.eclipse.draw2d.text.FlowBox
`getWidth, getX, setWidth, setX`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### containsPoint

    public boolean containsPoint(int x,
                                 int y)

  Description copied from class: `FlowBox`
  This method must be called on a block that is completely positioned and committed.

  Specified by:
    `containsPoint` in class `FlowBox`
  Parameters:
    `x` - X
    `y` - Y
  Returns:
    `true` if the FlowBox contains the point
  See Also:
    `FlowBox.containsPoint(int, int)`

### getBaseline

    public int getBaseline()

  Description copied from class: `FlowBox`
  Returns y coordinate for the box's baseline.

  Specified by:
    `getBaseline` in class `FlowBox`
  Returns:
    the baseline location
  See Also:
    `FlowBox.getBaseline()`

### getOuterAscent

    public int getOuterAscent()

  Returns the outer ascent of this box. The outer ascent is the ascent above the baseline including the border size and margin. This is used when adding content into a LineBox. The linebox's own border must be drawn around the children.

  Returns:
    the outer ascent of this box

### getOuterDescent

    public int getOuterDescent()

  Returns the outer descent of this box. The outer descent is the space below the baseline including the border size and margin. This is used when adding content into a LineBox. The linebox's own border must be drawn around the children.

  Returns:
    the outer descent of this box

### setLineTop

    public void setLineTop(int top)

  Description copied from class: `CompositeBox`
  Positions the box vertically by setting the y coordinate for the top of the content of the line. For internal use only.

  Specified by:
    `setLineTop` in class `CompositeBox`
  Parameters:
    `top` - the y coordinate
  See Also:
    `CompositeBox.setLineTop(int)`

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.